package org.springblade.common.enums;

import lombok.Getter;

/**
 * 订单类型枚举类
 */
@Getter
public enum BaseWineTypeEnum {
	FINISHED("成品基酒", 1),
	BARTENDER("调酒师基酒", 2);
	private String name;
	private Integer value;

	BaseWineTypeEnum(String name, Integer value) {
		this.name = name;
		this.value = value;
	}

	public static String getNameByValue(Integer value) {
		for (BaseWineTypeEnum orderTypeEnum : BaseWineTypeEnum.values()) {
			if (orderTypeEnum.value.equals(value)) {
				return orderTypeEnum.getName();
			}
		}
		return "未知";
	}
}
